Skip to main content

Record a payment against an invoice

POST 

https://core-prod.malipopay.co.tz/api/v1/invoice/record-payment

Records a manual payment collection against an existing invoice

Request

Bodyrequired

    objectobject

Responses

Payment recorded successfully

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L 'https://core-prod.malipopay.co.tz/api/v1/invoice/record-payment' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Body required
{}
Response

Click the Send API Request button above and see the response here!